Bug Hunting Session
Bug 87811 - Wrong text rotation inside a preset shape imported from docx
Summary: Wrong text rotation inside a preset shape imported from docx
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest
Depends on:
Blocks:
 
Reported: 2014-12-29 00:55 UTC by Gary Houston
Modified: 2016-05-03 16:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Shape rotated 90 degrees containing text rotated 270 degrees. (17.11 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-12-29 00:55 UTC, Gary Houston
Details
screenshot 4.3.5 vs. 4.5.0 alpha (14.73 KB, image/png)
2014-12-29 07:46 UTC, tommy27
Details
pdf export from word 2010 (2.80 KB, application/pdf)
2014-12-29 18:35 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Houston 2014-12-29 00:55:56 UTC
Created attachment 111442 [details]
Shape rotated 90 degrees containing text rotated 270 degrees.

This is similar to fdo#87488, since I was trying to make a test document for that. However in this case, the text is stored with different XML elements and so won't necessarily be processed the same way by LibreOffice. My patch for 87488 has no effect on this document.
	
The right-pointing arrow shape itself isn't rendered properly by 4.3.5.2, it displays as a rectangle. This seems to be fixed in Master.

The shape is rotated by 90 degrees and the text inside is supposed to be rotated by 270 degrees, so that it is displayed the right way up.

The document was created using Word 2010 on Windows by inserting a right-pointing arrow shape, rotating it by 90 degrees, selecting a point inside the shape and typing random text, then finding text direction properties in a menu and selecting 270 degrees. The net effect in Word is to rotate the shape by 90 degrees while displaying the text the right way up.
Comment 1 tommy27 2014-12-29 07:46:43 UTC
Created attachment 111458 [details]
screenshot 4.3.5 vs. 4.5.0 alpha

I confirm the bug is present under Win81 x64 using LibO 4.3.5 and that is not present in LibO 4.5.0.0.alpha0+
Build ID: 2a20bf5105181d51aab40bdd4ce8c09615a0e599
TinderBox: Win-x86@42, Branch:master, Time: 2014-12-25_07:55:29

hence the bug is fixed in the master branch so the status has to be changed to RESOLVED WORKSFORME

however a bibisect would be very helpful to identify the fixing committ and request it's backport to 4.3.x and 4.4.x

I'll add bibisectRequest to whiteboard. once this is done, please put backportRequest in the whiteboard.
Comment 2 tommy27 2014-12-29 07:48:09 UTC
@Gary
one more thing... what about the different font color, black in 4.3.x and white in 4.5.x ? which one is correct? is that another bug?
Comment 3 Yousuf Philips (jay) (retired) 2014-12-29 18:34:39 UTC
Text is white in Word 2010. The only difference between it and LO is the text is supposed to be horizontal.
Comment 4 Yousuf Philips (jay) (retired) 2014-12-29 18:35:16 UTC
Created attachment 111480 [details]
pdf export from word 2010
Comment 5 Robinson Tryon (qubit) 2014-12-29 20:05:45 UTC
(In reply to tommy27 from comment #1)
> however a bibisect would be very helpful to identify the fixing committ and
> request it's backport to 4.3.x and 4.4.x
> 
> I'll add bibisectRequest to whiteboard. once this is done, please put
> backportRequest in the whiteboard.

Please tag these bugs with 'backportRequest' right off the bat (in this case: backportRequest:4.3 backportRequest:4.4). Otherwise, I think it's really easy for them to get lost among any other bugs resolved as WFM.
Comment 6 Gary Houston 2014-12-29 21:44:54 UTC
If you want to fix it in 4.3, then you've got 3 problems: the shape itself, the text colour, and the text rotation. 

Oddly, in my build from Master the text rotation is still wrong, but otherwise it looks good.
Comment 7 Yousuf Philips (jay) (retired) 2015-01-01 00:37:58 UTC
Submitted the text direction problem in bug 87924.
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:42:45 UTC
Migrating Whiteboard tags to Keywords: (bibisectRequest)
[NinjaEdit]
Comment 9 Michael Stahl (CIB) 2016-05-03 16:07:02 UTC
removing backportrequest for EOL releases